## org.apache.lucene.codecs.diskdv
Class DiskDocValuesFormat

    java.lang.Object
      org.apache.lucene.codecs.DocValuesFormat
          org.apache.lucene.codecs.diskdv.DiskDocValuesFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class DiskDocValuesFormat

extends DocValuesFormat

DocValues format that keeps most things on disk.

Things like ordinals and disk offsets are loaded into ram, for single-seek access to all the types.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`static byte` `BINARY`
`static String` `DATA_CODEC`
`static String` `DATA_EXTENSION`
`static String` `META_CODEC`
`static String` `META_EXTENSION`
`static byte` `NUMERIC`
`static byte` `SORTED`
`static byte` `SORTED_SET`
`static int` `VERSION_CURRENT`
`static int` `VERSION_START`

Constructor Summary
`DiskDocValuesFormat()`

Method Summary
`DocValuesConsumer` `fieldsConsumer(SegmentWriteState state)`
`DocValuesProducer` `fieldsProducer(SegmentReadState state)`

Methods inherited from class org.apache.lucene.codecs.DocValuesFormat
`availableDocValuesFormats, forName, getName, reloadDocValuesFormats, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DATA_CODEC

    public static final String DATA_CODEC

See Also:
  Constant Field Values

### DATA_EXTENSION

    public static final String DATA_EXTENSION

See Also:
  Constant Field Values

### META_CODEC

    public static final String META_CODEC

See Also:
  Constant Field Values

### META_EXTENSION

    public static final String META_EXTENSION

See Also:
  Constant Field Values

### VERSION_START

    public static final int VERSION_START

See Also:
  Constant Field Values

### VERSION_CURRENT

    public static final int VERSION_CURRENT

See Also:
  Constant Field Values

### NUMERIC

    public static final byte NUMERIC

See Also:
  Constant Field Values

### BINARY

    public static final byte BINARY

See Also:
  Constant Field Values

### SORTED

    public static final byte SORTED

See Also:
  Constant Field Values

### SORTED_SET

    public static final byte SORTED_SET

See Also:
  Constant Field Values

Constructor Detail

### DiskDocValuesFormat

    public DiskDocValuesFormat()

Method Detail

### fieldsConsumer

    public DocValuesConsumer fieldsConsumer(SegmentWriteState state)
                                     throws IOException

  Specified by:
    `fieldsConsumer` in class `DocValuesFormat`
  Throws:
    `IOException`

### fieldsProducer

    public DocValuesProducer fieldsProducer(SegmentReadState state)
                                     throws IOException

  Specified by:
    `fieldsProducer` in class `DocValuesFormat`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.